Bug 210415 - vidcontrol -h <history size> does not work with vt(4)
Summary: vidcontrol -h <history size> does not work with vt(4)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL: https://reviews.freebsd.org/D11814
Keywords: vt
Depends on:
Blocks: 203349 231027
  Show dependency treegraph
 
Reported: 2016-06-20 18:53 UTC by Ed Maste
Modified: 2019-01-21 19:11 UTC (History)
2 users (show)

See Also:
emaste: mfc-stable9-
emaste: mfc-stable10-
emaste: mfc-stable11?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-06-20 18:53:42 UTC
Found when investigating a report on FreeBSD-current[1], setting the history size via vidcontrol -h does not work with vt(4).

sys/dev/vt/vt_buf.c implements vtbuf_sethistory_size() 


[1] https://lists.freebsd.org/pipermail/freebsd-current/2016-June/062015.html
Comment 1 joeb1 2016-10-22 15:42:45 UTC
When vidcontrol -h <history size> in rc.conf and boot time console driver is "sc" this causes a ioctl warning message to occur sometimes.

Sometime around 7.x or 8.x the environment variable "history" and "savehist" was introduced which pretty much made the vidcontrol -h obsolete. 

See the .cshrc file in any user home directory for set command of "history" and "savehist".

The -h option of vidcontrol needs to be made comparable with "history" and "savehist" usage or removed all together.
Comment 2 commit-hook freebsd_committer 2017-12-05 22:20:43 UTC
A commit references this bug:

Author: emaste
Date: Tue Dec  5 22:20:00 UTC 2017
New revision: 326599
URL: https://svnweb.freebsd.org/changeset/base/326599

Log:
  Implement "vidcontrol -h <history_size>" for vt(4)

  PR:		210415
  Submitted by:	Siva Mahadevan
  Reviewed by:	ray (earlier)
  MFC after:	1 month
  Relnotes:	yes
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D11814

Changes:
  head/sys/dev/vt/vt.h
  head/sys/dev/vt/vt_buf.c
  head/sys/dev/vt/vt_core.c
Comment 3 commit-hook freebsd_committer 2018-03-08 07:58:10 UTC
A commit references this bug:

Author: eadler
Date: Thu Mar  8 07:57:27 UTC 2018
New revision: 330641
URL: https://svnweb.freebsd.org/changeset/base/330641

Log:
  MFC r326599:

  Implement "vidcontrol -h <history_size>" for vt(4)

  PR:		210415

Changes:
_U  stable/11/
  stable/11/sys/dev/vt/vt.h
  stable/11/sys/dev/vt/vt_buf.c
  stable/11/sys/dev/vt/vt_core.c
Comment 4 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 19:11:23 UTC
There is a commit referencing this PR, but it's still not closed and has been inactive for some time. Closing the PR as fixed but feel free to re-open it if the issue hasn't been completely resolved.

Thanks